getMaterial
READGet material.
POST /api/v1/items/getMaterial
curl -X POST '<your-host>/api/v1/items/getMaterial' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"itemId": "string"
}'Response
{
"active": true,
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"defaultMethodType": "Purchase to Order",
"description": "string",
"dimensionId": "string",
"dimensions": "string",
"finish": "string",
"finishId": "string",
"grade": "string",
"gradeId": "string",
"id": "string",
"itemPostingGroupId": "string",
"itemTrackingType": "Inventory",
"materialForm": "string",
"materialFormId": "string",
"materialSubstance": "string",
"materialSubstanceId": "string",
"materialType": "string",
"materialTypeId": "string",
"mpn": "string",
"name": "string",
"notes": "…",
"readableId": "string",
"readableIdWithRevision": "string",
"replenishmentSystem": "Buy",
"revision": "string",
"revisions": "…",
"supplierIds": "string",
"tags": [
"string"
],
"thumbnailPath": "string",
"unitOfMeasure": "string",
"unitOfMeasureCode": "string",
"updatedAt": "string",
"updatedBy": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"itemId": {
"type": "string"
}
},
"required": [
"itemId"
]
}